/********************************************************************************
 * ePIMSs $Source$
 * ePIMSs $Project$
 *
 * Copyright (c) 2006 - 2011 by ePIMSs						 
 *
 * All rights reserved. This program and the accompanying materials must NOT be
 * copied, used, transferred in any form without the expressed written 
 * permission of the author.	
 *	
 * Removing this notice and using the application does NOT negate the legal 
 * copyright notice.	
 *
 * @initialAPIImplementationBy St Clair Clarke
 *  
 * @author $Author$
 *
 * @source $Source$
 * @path $FPath$

 * @project $Project$
 * @generics $Generics$
 *
 * @lastChangedBy	 $Author$
 * @lastChangedDate $Date$
 *
 * @version $Revision$ $Date$
 *
 * @changeRequest $CR$
 * @state $State$
 ********************************************************************************/


package _com.epimss.lab.handlers;




import java.lang.reflect.InvocationTargetException;

import javax.inject.Named;

import org.eclipse.e4.core.contexts.IEclipseContext;

import org.eclipse.e4.core.di.annotations.Execute;

import org.eclipse.e4.ui.services.IServiceConstants;

import org.eclipse.jface.wizard.WizardDialog;

import org.eclipse.swt.widgets.Shell;

import _com.epimss.lab.ui.toxicology.TherapeauticDrugScreenRqstWizard;

/**
 * The domain|UI model for the {@link} UI. TODO!
 *
 * @created  June 30, 2011 3:46:47 PM by St Clair Clarke
 * @since    1.0
 * @version  $Revision$ $Date$
 */
public class OpenTherapeauticDrugScreenRqstWizardHandler
{
    //~ Methods ----------------------------------------------------------------

    /**
     * The <code>execute()</code> method TODO!
     *
     * @created  June 30, 2011 3:47:36 PM by St Clair Clarke
     *
     * @param    context  IEclipseContext TODO!
     * @param    shell    Shell TODO!
     *
     * @since    1.0
     *
     * @throws   InvocationTargetException  thrown if TODO!
     * @throws   InterruptedException       thrown if TODO!
     */
    @Execute
    public void execute( IEclipseContext context,
                         @Named( IServiceConstants.ACTIVE_SHELL ) Shell shell ) throws InvocationTargetException, InterruptedException
    {
        TherapeauticDrugScreenRqstWizard wzrd   = new TherapeauticDrugScreenRqstWizard();
        WizardDialog                     dialog = new WizardDialog( shell, wzrd );
        dialog.open();

    }   // end method execute

}   // end class OpenTherapeauticDrugScreenRqstWizardHandler
